/**
 * Theme Name: Sarmant Mini Lapin Pelastusliitto Child
 * Template:   sarmant_mini
 * Version: 1.0.3
 */

:root :where(.wp-block-navigation a:where(:not(.wp-element-button))) {
    color: var(--wp--preset--color--base);
    font-size: var(--wp--preset--font-size--m);
    text-decoration: underline 0.125em solid transparent;
}

:root :where(a:where(:not(.wp-element-button)):hover) {
    color: var(--wp--preset--color--accent-3);
    text-decoration: underline solid 0.1em var(--wp--preset--color--contrast);
}

:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover) {
    text-decoration: underline 0.125em solid var(--wp--preset--color--base)!important;
}

.wp-block-site-title a:hover {
   text-decoration: underline 0.125em solid var(--wp--preset--color--base)!important;
}

/* GRID TEMPLATES */
/******************/

/* Grid template for regular layout header-main-footer */
:where(.wp-site-blocks.grid-container) {
	min-height: 100vh;
	min-height: 100dvh;
	min-height: 100svh;
	display: grid;
	grid-template-areas:
		"header"
		"main"
		"footer";
	grid-template-columns: 1fr;
	grid-template-rows: auto 1fr auto;
}
div.site-header {
	grid-area: header;
}
div.site-main {
	grid-area: main;
}
div.site-footer {
	grid-area: footer;
	margin-top: 0!important;
}
/** Adjust grid when user is logged in **/
:where(body.logged-in.admin-bar) div.wp-site-blocks  {
	min-height: calc(100vh - var(--wp-admin--admin-bar--height))!important;
	min-height: calc(100dvh - var(--wp-admin--admin-bar--height))!important;
	min-height: calc(100svh - var(--wp-admin--admin-bar--height))!important;
	display: grid;
	grid-template-areas:
		"header"
		"main"
		"footer";
	grid-template-columns: 1fr;
	grid-template-rows: auto 1fr auto;
}

body.home section > div > ul > li.wp-block-post.post.type-post > div {
	height: 100%;
	max-width: min(95%, 75ch);
}
textarea, input:where([type=email],[type=number],[type=password],[type=search],[type=text],[type=tel],[type=url]) {
	border-color: var(--wp--preset--color--accent-3);
}

.wp-block-post-title {
	text-wrap: balance;

	&:where(a) {
		text-decoration: underline solid 0.1em var(--wp--preset--color--contrast);

	}
	a:hover {
		color: var(--wp--preset--color--accent-3);
	}
}

form.wpcf7-form {
    label {
        display: flex!important;
        flex-direction: column;
    }
}

input[type=submit].wpcf7-submit {
	background-color: var(--wp--preset--color--accent-1);
}


.wp-block-navigation .has-child .wp-block-navigation-submenu__toggle[aria-expanded=true]~.wp-block-navigation__submenu-container,
.wp-block-navigation .has-child:not(.open-on-click):hover>.wp-block-navigation__submenu-container,
.wp-block-navigation .has-child:not(.open-on-click):not(.open-on-hover-click):focus-within>.wp-block-navigation__submenu-container
{
    min-width: max(100%, 235px);
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container {
    left: -100%;
    top: 100%;
    right: 0;
}

footer.site-footer:before {
	background: linear-gradient(360deg, var(--wp--preset--color--accent-3));
}